#if !defined(__NHDIALOG_H__)
#define __NHDIALOG_H__
#include <eikchlst.h>
#include <eikhopbt.h>
#include <eikcapc.h>

/* Read command line arguments from the user. */
class CArgsDialog : public CEikDialog
{
public:
    CArgsDialog(CNethackAppUi *iAppUi);
    void PreLayoutDynInitL();
    void PostLayoutDynInitL();
    TBool OkToExitL(TInt aKeyCode);

private:
    CNethackAppUi *iAppUi;
    CEikChoiceList *Roles() const { return (CEikChoiceList*)Control(ECharRole); }
    CEikHorOptionButtonList *Sex() const { return (CEikHorOptionButtonList*)Control(ECharSex); }
    CEikEdwin *Arguments() const { return (CEikEdwin*)Control(EOtherOpts); }
};

/* Edit Nethack.cnf */
class CEditConfigDialog : public CEikDialog
{
public:
    CEditConfigDialog(CNethackAppUi *iAppUi);
    void PreLayoutDynInitL();
    void PostLayoutDynInitL();
    TBool OkToExitL(TInt aKeyCode);

private:
    CNethackAppUi *iAppUi;
    CEikEdwin *EditBox() const { return (CEikEdwin*)Control(EEditBox); }
    CEikCaptionedControl *EditLine() const { return Line(EEditBox); }
};
#endif /* __NHDIALOG_H__ */
