@echo off

rem -------------------------------------------------------------------------
rem
rem EPOC32 SDK DOEBLD 
rem 
rem -------------------------------------------------------------------------
set example=%2
set implmnt=%3
set build=%4

if "%1"=="createproject"  goto docp
if "%1"=="createworkdirs" goto domw
if "%1"=="buildproject"   goto dobp
if "%1"=="cleanproject"   goto docl
echo unknown doebld verb "%1%".
goto end

rem -------------------------------------------------------------------------
rem Create a project
rem -------------------------------------------------------------------------
:docp
echo Creating project file for "%example%" "%implmnt%"
call makmake %example% %implmnt%
goto end

rem -------------------------------------------------------------------------
rem Create work directories
rem -------------------------------------------------------------------------
:domw
echo Creating work directories for "%example%" "%implmnt%"
call makmake -makework %example% %implmnt%
goto end

rem -------------------------------------------------------------------------
rem Build project
rem -------------------------------------------------------------------------
:dobp
echo Building %example% (%implmnt%, %build%)...
if "%implmnt%"=="wins" goto dobpws
if "%implmnt%"=="WINS" goto dobpws
if "%implmnt%"=="marm" goto dobpmm
if "%implmnt%"=="MARM" goto dobpmm
echo Unknown implementation: "%implmnt%".
goto end

:dobpws
call nmake /s /nologo /f %example%.%implmnt%  %build%
if exist \NethackApp\src\%example%.aif copy \NethackApp\src\%example%.aif \Epoc32\Release\%implmnt%\%build%\Z\System\Apps\%example%
if exist \NethackApp\src\%example%.mbm         copy \NethackApp\src\*.mbm         \Epoc32\Release\%implmnt%\%build%\Z\System\Apps\%example%
goto end

:dobpmm
call nmake /f %example%.%implmnt% /x %example%.AER  %build%
if exist \NethackApp\src\%example%.aif copy \NethackApp\src\%example%.aif \Epoc32\Release\%implmnt%\%build%
if exist \NethackApp\src\%example%.mbm         copy \NethackApp\src\*.mbm         \Epoc32\Release\%implmnt%\%build%
goto makepkg


rem  Make an appropriate package file for the build
:makepkg
if "%build%"=="deb" goto makepkgdeb
if "%build%"=="DEB" goto makepkgdeb
if "%build%"=="rel" goto makepkgrel
if "%build%"=="REL" goto makepkgrel
echo unknown build: "%build%".
goto end

:makepkgrel
echo Creating "%example%.sis" from "%example%.rkg"...
call copy %example%.rkg  %example%.pkg
call makesis %example%.pkg
goto end

:makepkgdeb
echo Creating "%example%.sis" from "%example%.dkg"...
call copy %example%.dkg  %example%.pkg
call makesis %example%.pkg
goto end



rem -------------------------------------------------------------------------
rem Clean project
rem -------------------------------------------------------------------------
:docl
echo Cleaning project %example% %implmnt%...
call makmake -clean %example% %implmnt%
goto end

:end
set build=
set example=
set implmnt=

