#include "nethackapp.h"
#include "nhdialog.h"

CArgsDialog::CArgsDialog(CNethackAppUi *aAppUi) :
   iAppUi(aAppUi)
{
}

void CArgsDialog::PreLayoutDynInitL()
{
}

void CArgsDialog::PostLayoutDynInitL()
{
    // Post initialisation of dialog...
    // Sex()->SetButtonById(ESexMale);
}

TBool CArgsDialog::OkToExitL(TInt /*aKeyCode*/)
{
    // Save changes etc.
    Arguments()->GetText(iAppUi->iArgs);
    return ETrue;
}

CEditConfigDialog::CEditConfigDialog(CNethackAppUi *aAppUi) :
   iAppUi(aAppUi)
{
}

void CEditConfigDialog::PreLayoutDynInitL()
{
    // Make the dialog fill the full screen.
    //SetExtentL(TPoint(0, 0), iEikonEnv->ScreenDevice()->SizeInPixels());
}

void CEditConfigDialog::PostLayoutDynInitL()
{
    // Post initialisation of dialog...
    TSize size =  Size();
    //SetExtentL(TPoint(0, 1), TSize(size.iWidth, size.iHeight-10));
    TRect EditRect = EditBox()->Rect();
    EditRect.iBr.iY = size.iHeight - 20;
    EditLine()->SetRectL(EditRect);
    EditBox()->CreateScrollBarFrameL();
    EditBox()->ScrollBarFrame()->SetScrollBarVisibilityL(CEikScrollBarFrame::EAuto,
        CEikScrollBarFrame::EAuto);

    // Cannot insert text file until post layout, because it needs to
    // get the cursor position!
    EditBox()->InsertFromTextFileL(iAppUi->configFile(), CPlainText::EOrganiseByParagraph);
    EditBox()->ForceScrollBarUpdateL();
}

TBool CEditConfigDialog::OkToExitL(TInt /*aKeyCode*/)
{
    // Save changes etc.
    EditBox()->Text()->ExportAsTextL(iAppUi->configFile(), CPlainText::EOrganiseByParagraph, 1000);
    return ETrue;
}
