@echo off
REM Put the support data files in the right place for testing
SET SRC=..\..\binary
SET DRIVE_C=\epoc32\wins\c
set DRIVE_Z=\Epoc32\Release\Wins\Deb\Z
set NETHACKAPP=%DRIVE_Z%\System\apps\NethackApp\
set NETHACKAPP_C=%DRIVE_C%\System\apps\NethackApp\

SET GAMEDIR=%DRIVE_C%\games\nethack
mkdir %GAMEDIR%
for %%f in (nhdat license) do xcopy /Y %SRC%\%%f %GAMEDIR%

REM Make sure the editable files are in sync between GAMEDIR where they can be edited
REM in the emulator, and the files directory.
REM First update the files directory with any that are newer.
REM Then update the GAMEDIR with any that are newer in files.
REM Finally add any missing files to GAMEDIR.
for %%f in (Guidebook NetHack nethack.cnf ReadMe) do replace %GAMEDIR%\%%f files /u
for %%f in (Guidebook NetHack nethack.cnf ReadMe) do replace files\%%f %GAMEDIR% /u
for %%f in (Guidebook NetHack nethack.cnf ReadMe) do replace files\%%f %GAMEDIR% /a

xcopy /Y files\nethack.cnf %NETHACKAPP_C%

xcopy /Y files\nethack.gdr %NETHACKAPP%
xcopy /Y \Nethackapp\src\Nethack.mbm %NETHACKAPP%
for %%f in (Guidebook NetHack ReadMe) do xcopy /Y files\%%f %NETHACKAPP%
